Subject: Re: [PATCH 03/41]bnx2x: MSI support

From: Ben Hutchings <[email-masked]>
Date: Thu, 12 Feb 2009 20:47:48 +0000

On Thu, 2009-02-12 at 22:37 +0200, Eilon Greenstein wrote:
> On Thu, 2009-02-12 at 10:52 -0800, Ben Hutchings wrote:
> Hi Ben!
> 
> It's always a pleasure to see how fast you respond. I really appreciate
> the fact that you take the time to review my patches. Thanks!
> 
> > On Thu, 2009-02-12 at 20:36 +0200, Eilon Greenstein wrote:
> > [...]
> > > @@ -5359,9 +5360,28 @@
> > >  #define PCICFG_PM_CSR_STATE			(0x3<<0)
> > >  #define PCICFG_PM_CSR_PME_ENABLE		(1<<8)
> > >  #define PCICFG_PM_CSR_PME_STATUS		(1<<15)
> > > +#define PCICFG_MSI_CAP_ID				0x58
> > 
> > This appears to be a capability offset, not a capability id!  You might
> > also consider not hard-coding it.
> 
> You are right - those are the offset for this device. I find it easier to
> debug when I have the offsets at hand without the need to parse the
> capabilities linked list. Since the offsets will not change for this
> generation of chips, I don't see the harm in providing the explicit
> offsets. I assume that the driver will require major changes for a new
> generation even if I will use the capabilities ID...

I agree, the run-time lookup is not really necessary.  But please fix
the name.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.